{% load static %}
<html>
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="refresh" content="30">
        <Title>Pulsar - Pulsometr</Title>

       
        <link type="text/css" rel="stylesheet" href="{% static 'css/stylesheet.css' %}">

        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap">
    </head>

    <body>
        <div id="bg">
        </div>
        <div id="pane">
            <div id="title">
                <h1>Pulsar</h1>
                <hr>
            </div>
            <div id="formBox">
                <div id="data">
                    <div class="valueBox">
                    
                    {% if warningValue > 25 %}
                    <span style="color: rgb(255, 49, 49);">Ostatni pomiar<br>{{currentPulse}}</span>
                    {% elif warningValue >= 15 %}
                    <span style="color: orange;">Ostatni pomiar<br>{{currentPulse}}</span>
                    {% elif warningValue <= -15 %}
                    <span style="color: rgb(42, 42, 236);">Ostatni pomiar<br>{{currentPulse}}</span>
                    {% else %}
                    <span style="color: white;">Ostatni pomiar<br>{{currentPulse}}</span>
                    {%endif%}
                    </div>
                    <br>
                    <div class="valueBox">
                        <div class="values">Wartość max
                            <br>
                            {{max}}
                        </div>
                        <div class="values">Wartość średnia
                            <br>
                            {{avg}}
                        </div> 
                        <div class="values">Wartość min
                            <br>
                            {{min}}
                        </div> 
                    </div>
                    <br>
                </div>
                <div id="history">
                    <div>
                        Historia wyników
                        <br><br>
                    </div>
                    <div id="historyEntries">
                        {% for entry in data %}
                        {{entry}}
                        <br>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div id="buttonsPane">
                <form action="." style="float: left;width: 50%;">
                    <input type="submit" value="Odśwież wyniki" class="button" />
                </form>
                <form action="." style="float: right;width: 50%;">
                    <input type="submit" value="Wyszukaj" class="button" style="float: right;"/>
                    <input type="datetime-local" id="dateSearch" name="dateSearch" style="float: right;"/>
                </form>
            </div>
            <br>
            <div id="footer">
                <h5>created by Maciej Sumiński & Ksawery Madej</h5>
            </div>
        </div>
    </body>
</html>
